### Method

# Cogl MatrixStack set

#### Declaration [src]

    void
    cogl_matrix_stack_set (
      CoglMatrixStack* stack,
      const graphene_matrix_t* matrix
    )

#### Description [src]

Replaces the current `stack` matrix value with the value of `matrix`. This effectively discards any other operations that were applied since the last time `cogl_matrix_stack_push()` was called or since the stack was initialized.

#### Parameters

`matrix`

  Type: `graphene_matrix_t`

  A #graphene_matrix_t replace the current matrix value with.

  The data is owned by the caller of the method.